<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:c="http://xmlns.jcp.org/jsp/jstl/core">
    <h:head>
        <title>My Utilities</title>
        <link href="//netdna.bootstrapcdn.com/font-awesome/4.0.3/css/font-awesome.css" rel="stylesheet"></link>
    </h:head>
    <h:body>
        <h:form id="form">
            <p:growl id="message" showDetail="true"/>
            <p:tabView>
                <p:tab title="Dependency">
                    <ui:include src="compareDependency.xhtml"/>
                </p:tab>
                <p:tab title="Plugin">
                    <ui:include src="comparePlugin.xhtml"/>
                </p:tab>
            </p:tabView>

            <p:dataTable id="uploadedFilesTable" value="#{comparePOM.fileData}" var="file"
                         selectionMode="single" selection="#{comparePOM.selectedFile}" rowKey="#{file.id}">
                <p:column headerText="File Type">
                    <h:outputText value="#{file.fileType}"/>
                </p:column>
                <p:column headerText="File Name">
                    <h:outputText value="#{file.fileName}"/>
                </p:column>
            </p:dataTable>

            <p:contextMenu for="uploadedFilesTable">
                <p:menuitem value="Delete" action="#{comparePOM.deleteFile}" ajax="false" icon="pi pi-times" update="uploadedFilesTable"/>
            </p:contextMenu>

            <p:tabView id="display">
                <p:tab title="Output" >
                    <h:panelGrid id="compareOutput">
                        <ui:repeat  var="data" value="#{comparePOM.compareDiffData}" >
                            <h:panelGrid id="#{data.groupId}_#{data.artifactId}">
                                <h:outputText value="#{data.groupId}"/>
                                <h:outputText value="#{data.artifactId}"/>
                                <h:panelGrid columns="5" style="#{data.versionOne != data.versionTwo ? 'background-color: blanchedalmond' : 'background-color: greenyellow'}">
                                    <h:outputText value="#{data.versionOne}"/>
                                    <h:outputText value=" | " style="font-weight: bold; color: red;"/>
                                    <h:outputText value="#{data.versionTwo}"/>
                                    <p:commandButton icon="pi pi-chevron-right"/>
                                    <p:commandButton icon="pi pi-chevron-left"/>
                                </h:panelGrid>
                                <div style="height: 5px; width: 100%; margin-bottom: 20px;"/>
                            </h:panelGrid>
                        </ui:repeat>
                    </h:panelGrid>
                </p:tab>
                <p:tab title="First File">
                    <p:textEditor id="fileOne" height="450" value="#{comparePOM.fileOneDataHTML}"></p:textEditor>
                </p:tab>
                <p:tab title="Second">
                    <p:textEditor id="fileTwo" height="450" value="#{comparePOM.fileTwoDataHTML}"></p:textEditor>
                </p:tab>
            </p:tabView>
        </h:form>
    </h:body>
</html>

